Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 687)
@@ -57,6 +57,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.libs.cqp.CQPLibPreferences;
 import org.txm.objects.Workspace;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.CQPPreferences;
 import org.txm.statsengine.r.core.preferences.RPreferences;
 import org.txm.utils.BundleUtils;
@@ -88,12 +89,12 @@
 		Map args = context.getArguments();
 
 		List<String> argsList = Arrays.asList((String[])(args.get("application.args")));
-		System.out.println(RCPMessages.Application_0+argsList);
+		System.out.println(TXMUIMessages.Application_0+argsList);
 		if (argsList.contains("-log")) { //$NON-NLS-1$
-			System.out.println(RCPMessages.Application_1);
+			System.out.println(TXMUIMessages.Application_1);
 			Log.setPrintInConsole(true);
 			Log.setLevel(Level.ALL);
-			Log.severe(RCPMessages.Application_2);
+			Log.severe(TXMUIMessages.Application_2);
 			TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.ADD_TECH_LOGS, true);
 			TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.LOG_LEVEL, "ALL"); //$NON-NLS-1$
 			TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.LOG_STACKTRACE, true);
@@ -135,9 +136,9 @@
 			}
 		} else {
 			System.out.println("TXM must be launch with the argument '-run' to start."); //$NON-NLS-1$
-			System.out.println(RCPMessages.Application_4);
+			System.out.println(TXMUIMessages.Application_4);
 
-			javax.swing.JOptionPane.showMessageDialog(null, RCPMessages.Application_4);
+			javax.swing.JOptionPane.showMessageDialog(null, TXMUIMessages.Application_4);
 			return IApplication.EXIT_OK;
 		}
 		// test if Java 1.6 is installed
@@ -153,7 +154,7 @@
 		//display.addListener(SWT.OpenDocument, openDocProcessor);
 
 		//Lock the RCP workspace, thus there is only one TXM instance running
-		Log.warning(RCPMessages.Application_8);
+		Log.warning(TXMUIMessages.Application_8);
 		if (!Platform.getInstanceLocation().lock()){
 			//Shell shell = display.getActiveShell();
 			System.out.println("TXM is already running. Exiting...");
@@ -161,10 +162,10 @@
 		}
 
 		try {
-			Log.warning(RCPMessages.Application_9);
+			Log.warning(TXMUIMessages.Application_9);
 			activateProxyService();
 		} catch (Exception e) {
-			Log.warning(RCPMessages.Application_10+e);
+			Log.warning(TXMUIMessages.Application_10+e);
 		}
 
 		try {
@@ -276,7 +277,7 @@
 			cl = parser.parse(options, Platform.getCommandLineArgs());
 		} catch (ParseException e) {
 
-			System.err.println(NLS.bind(RCPMessages.FAILED_TO_PARSE_OPTIONS,
+			System.err.println(NLS.bind(TXMUIMessages.FAILED_TO_PARSE_OPTIONS,
 					StringUtils.join(Platform.getCommandLineArgs(), " "), e)); //$NON-NLS-1$
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 			exit = true;
@@ -294,7 +295,7 @@
 			preferences.save();
 		} catch (IOException e) {
 			System.err.println(NLS.bind(
-					RCPMessages.FAILED_TO_SAVE_PREFERENCES, e));
+					TXMUIMessages.FAILED_TO_SAVE_PREFERENCES, e));
 			exit = true;
 			return exit;
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 687)
@@ -60,9 +60,9 @@
 import org.osgi.framework.BundleContext;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TXMClassLoader;
 import org.txm.rcp.editors.TxtEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.swt.widget.parameters.UIParameterException;
 import org.txm.rcp.utils.GSERunner;
@@ -182,7 +182,7 @@
 		// check script
 		final File scriptfile = new File(scriptpath);
 		if (!scriptfile.exists()) {
-			System.err.println(NLS.bind(RCPMessages.ExecuteScriptImport_1, scriptpath));
+			System.err.println(NLS.bind(TXMUIMessages.ExecuteScriptImport_1, scriptpath));
 			return;
 		}
 		ExecuteLastGroovyScript.setLastScript(scriptfile, currentRootDir.getName().equals("macro")); // register last groovy script //$NON-NLS-1$
@@ -211,7 +211,7 @@
 		String dir = currentRootDir.getAbsolutePath();
 		String path = scriptfile.getAbsolutePath();
 		if (!path.startsWith(dir)) {
-			System.out.println(RCPMessages.bind(RCPMessages.ExecuteGroovyScriptFromFile_2, dir));
+			System.out.println(TXMUIMessages.bind(TXMUIMessages.ExecuteGroovyScriptFromFile_2, dir));
 			return;
 		}
 		final String relativepath = path.substring(dir.length()+1);
@@ -224,12 +224,12 @@
 			}
 		}
 
-		JobHandler jobhandler = new JobHandler(NLS.bind(RCPMessages.ExecuteRScript_1,scriptfile.getName())) {
+		JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.ExecuteRScript_1,scriptfile.getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				//this.setCurrentMonitor(monitor);
-				monitor.beginTask(NLS.bind(RCPMessages.ExecuteRScript_1, scriptfile.getName()), 100);
+				monitor.beginTask(NLS.bind(TXMUIMessages.ExecuteRScript_1, scriptfile.getName()), 100);
 
 				try {
 					Binding binding = new Binding();
@@ -241,21 +241,21 @@
 					binding.setProperty("monitor", this); //$NON-NLS-1$
 					binding.setProperty("gse", gse);
 					
-					System.out.println(NLS.bind(RCPMessages.ExecuteRScript_1, scriptfile.getName()));
+					System.out.println(NLS.bind(TXMUIMessages.ExecuteRScript_1, scriptfile.getName()));
 					long time = System.currentTimeMillis();
 					gse.run(relativepath, binding);
 					
-					System.out.println(RCPMessages.ExecuteRScript_2+(System.currentTimeMillis()-time)+RCPMessages.ExecuteGroovyScript_0);
+					System.out.println(TXMUIMessages.ExecuteRScript_2+(System.currentTimeMillis()-time)+TXMUIMessages.ExecuteGroovyScript_0);
 				} catch (ThreadDeath td) {
 					return Status.CANCEL_STATUS;
 				} catch (UIParameterException e) {
 					if (e.isError()) {
-						System.out.println(RCPMessages.ExecuteGroovyScript_1);
+						System.out.println(TXMUIMessages.ExecuteGroovyScript_1);
 					} else {
-						System.out.println(RCPMessages.ExecuteGroovyScript_2);
+						System.out.println(TXMUIMessages.ExecuteGroovyScript_2);
 					}
 				} catch (Exception e) {
-					System.out.println(RCPMessages.ExecuteGroovyScript_9+e);
+					System.out.println(TXMUIMessages.ExecuteGroovyScript_9+e);
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
 					monitor.done();			
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 687)
@@ -53,8 +53,8 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.Application;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TxtEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 
@@ -106,7 +106,7 @@
 	 */
 	public static Object executeText(final String text, final String scriptfile) {
 		if (!new File(scriptfile).exists()) {
-			System.err.println(NLS.bind(RCPMessages.ExecuteScriptImport_1,
+			System.err.println(NLS.bind(TXMUIMessages.ExecuteScriptImport_1,
 					scriptfile));
 			return null;
 		}
@@ -159,7 +159,7 @@
 					long time = System.currentTimeMillis();
 					shell.evaluate(text);
 					System.out
-							.println("Done: " + (System.currentTimeMillis() - time) + RCPMessages.ExecuteRScript_3); //$NON-NLS-1$
+							.println("Done: " + (System.currentTimeMillis() - time) + TXMUIMessages.ExecuteRScript_3); //$NON-NLS-1$
 				} catch (ThreadDeath td) { 
 					return Status.CANCEL_STATUS;
 				} catch (CompilationFailedException e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 687)
@@ -57,11 +57,11 @@
 import org.txm.objects.Base;
 import org.txm.objects.BaseParameters;
 import org.txm.rcp.Application;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.OpenImportForm;
 import org.txm.rcp.commands.RestartTXM;
 import org.txm.rcp.commands.workspace.LoadBinaryCorpus;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.GSERunner;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -141,20 +141,20 @@
 
 		// We could not found the script in the Toolbox plugin files
 		if (!script.exists()) {
-			System.err.println(NLS.bind(RCPMessages.ExecuteScriptImport_1, scriptFilePath));
+			System.err.println(NLS.bind(TXMUIMessages.ExecuteScriptImport_1, scriptFilePath));
 			return null;
 		}
 
 		Display.getDefault().syncExec(new Runnable() {
-			public void run() {	StatusLine.setMessage(RCPMessages.ExecuteScriptImport_0); }
+			public void run() {	StatusLine.setMessage(TXMUIMessages.ExecuteScriptImport_0); }
 		});
 
 		final String txmhome = Toolbox.getTXMHOMEPATH();
 		final File corporadir = new File(txmhome,"corpora"); //$NON-NLS-1$
 		corporadir.mkdir(); // the binary corpus are stored here
 		if (!corporadir.exists()) {
-			System.out.println(RCPMessages.ExecuteScriptImport_2+corporadir);
-			Log.severe(RCPMessages.ExecuteScriptImport_2+corporadir);
+			System.out.println(TXMUIMessages.ExecuteScriptImport_2+corporadir);
+			Log.severe(TXMUIMessages.ExecuteScriptImport_2+corporadir);
 			return null;
 		}
 
@@ -187,7 +187,7 @@
 		if (!updatingCorpus) { 
 			if (basedir.exists()) {
 				Shell shell = new Shell(); // ask user if he's sure
-				boolean b = MessageDialog.openConfirm(shell, RCPMessages.AddBase_19, NLS.bind(RCPMessages.AddBase_20, basedir.getName().toUpperCase()));
+				boolean b = MessageDialog.openConfirm(shell, TXMUIMessages.AddBase_19, NLS.bind(TXMUIMessages.AddBase_20, basedir.getName().toUpperCase()));
 				if (b) {
 					// shutdown TBX (and cwb) to free index files
 					Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
@@ -198,14 +198,14 @@
 				}
 			}
 			if (basedir.exists()) {
-				System.out.println(RCPMessages.bind(RCPMessages.ExecuteScriptImport_3, basedir));
+				System.out.println(TXMUIMessages.bind(TXMUIMessages.ExecuteScriptImport_3, basedir));
 				return null;
 			}
 		}
 		
 		if (CQPEngine.isInitialized()) Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
 		final BaseParameters p = params;
-		JobHandler jobhandler = new JobHandler(RCPMessages.RunGroovyScript_0
+		JobHandler jobhandler = new JobHandler(TXMUIMessages.RunGroovyScript_0
 				+ script.getAbsolutePath()) { //$NON-NLS-1$
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -213,7 +213,7 @@
 				Base base = null;
 				try {
 					//this.setCurrentMonitor(monitor);
-					monitor.beginTask(RCPMessages.RunGroovyScript_10 + p.rootDir, 100); //$NON-NLS-1$
+					monitor.beginTask(TXMUIMessages.RunGroovyScript_10 + p.rootDir, 100); //$NON-NLS-1$
 
 					//org.txm.Toolbox.shutdownSearchEngine();
 					monitor.worked(5);
@@ -234,7 +234,7 @@
 					Element tokenizerElement = p.getTokenizerElement(corpusElem);
 					TokenizerClasses.reset();
 					if (!TokenizerClasses.loadFromNode(tokenizerElement)) {
-						System.out.println(RCPMessages.ExecuteScriptImport_5);
+						System.out.println(TXMUIMessages.ExecuteScriptImport_5);
 						monitor.done();
 						if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 						if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
@@ -242,9 +242,9 @@
 					}
 
 					ExecTimer.start();
-					Log.info(RCPMessages.RunGroovyScript_0 + script.getAbsolutePath()); //$NON-NLS-1$
+					Log.info(TXMUIMessages.RunGroovyScript_0 + script.getAbsolutePath()); //$NON-NLS-1$
 					gse.run(script.getName(), binding); // run the groovy import script
-					System.out.println("\n"+RCPMessages.ExecuteScriptImport_7+ExecTimer.stop()); //$NON-NLS-1$
+					System.out.println("\n"+TXMUIMessages.ExecuteScriptImport_7+ExecTimer.stop()); //$NON-NLS-1$
 					monitor.worked(90);
 					
 					TokenizerClasses.reset();
@@ -256,7 +256,7 @@
 						if (readyToLoad) {
 							base = LoadBinaryCorpus.loadBinaryCorpus(basedir);
 							if (base == null) {
-								System.out.println(RCPMessages.ExecuteScriptImport_8);
+								System.out.println(TXMUIMessages.ExecuteScriptImport_8);
 								if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 								if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
 								return Status.CANCEL_STATUS;
@@ -273,15 +273,15 @@
 								public void run() {
 									RestartTXM.reloadViews();
 									CorporaView.select(base2.getChildren(MainCorpus.class));
-									System.out.println(RCPMessages.AddBase_10);
-									StatusLine.setMessage(RCPMessages.AddBase_10);
+									System.out.println(TXMUIMessages.AddBase_10);
+									StatusLine.setMessage(TXMUIMessages.AddBase_10);
 								}
 							});
 							this.releaseSemaphore();
 
 							DeleteDir.deleteDirectory(tempBinDirectory);
 						} else {
-							System.out.println(RCPMessages.ExecuteScriptImport_6);
+							System.out.println(TXMUIMessages.ExecuteScriptImport_6);
 							if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 							if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
 						}
@@ -289,7 +289,7 @@
 				} catch (ThreadDeath td) {
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
-					System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8, e));
+					System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8, e));
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
 					if (!CQPEngine.isInitialized()) { // the import failed
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java	(revision 687)
@@ -44,8 +44,8 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.handlers.files.EditFile;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
 import org.txm.utils.AsciiUtils;
@@ -95,7 +95,7 @@
 		
 		//ask new file name
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
-		InputDialog dialog = new InputDialog(shell, RCPMessages.CreateMacro_0, RCPMessages.CreateMacro_1, "", null); //$NON-NLS-1$
+		InputDialog dialog = new InputDialog(shell, TXMUIMessages.CreateMacro_0, TXMUIMessages.CreateMacro_1, "", null); //$NON-NLS-1$
 		
 		dialog.open();
 		String name = dialog.getValue();
@@ -137,7 +137,7 @@
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			try {
 				if (newfile.createNewFile()) {
-					System.out.println(NLS.bind(RCPMessages.CreateFile_1, newfile.getAbsolutePath()));
+					System.out.println(NLS.bind(TXMUIMessages.CreateFile_1, newfile.getAbsolutePath()));
 					
 					PrintWriter writer = IOUtils.getWriter(newfile, "UTF-8"); //$NON-NLS-1$
 					writer.println("// STANDARD DECLARATIONS"); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java	(revision 687)
@@ -39,7 +39,7 @@
 import org.eclipse.swt.widgets.Shell;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.utils.io.FileCopy;
 
@@ -176,9 +176,9 @@
 		}
 
 		if (outfile.exists()) {
-			System.out.println(NLS.bind(RCPMessages.ExportSVG_1, outfile, ""));  //$NON-NLS-1$
+			System.out.println(NLS.bind(TXMUIMessages.ExportSVG_1, outfile, ""));  //$NON-NLS-1$
 		} else {
-			System.out.println(NLS.bind(RCPMessages.ExportSVG_3 + outfile, "")); //$NON-NLS-1$
+			System.out.println(NLS.bind(TXMUIMessages.ExportSVG_3 + outfile, "")); //$NON-NLS-1$
 		}
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 687)
@@ -54,9 +54,9 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.TxmObject;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -111,7 +111,7 @@
 				public void run() {
 					MessageBox messageBox = new MessageBox(Display.getDefault().getActiveShell(), SWT.ICON_QUESTION
 							| SWT.YES | SWT.NO);
-					messageBox.setMessage(NLS.bind(RCPMessages.DeleteObject_0, selection.toList()));
+					messageBox.setMessage(NLS.bind(TXMUIMessages.DeleteObject_0, selection.toList()));
 					int response = messageBox.open();
 					if (response != SWT.YES) {
 						StatusLine.setMessage(""); //$NON-NLS-1$
@@ -146,7 +146,7 @@
 	 * @return 
 	 */
 	public synchronized static HashSet<Object> delete(final List<Object> objects) {
-		StatusLine.setMessage(NLS.bind(RCPMessages.DeleteObject_5, objects));
+		StatusLine.setMessage(NLS.bind(TXMUIMessages.DeleteObject_5, objects));
 		
 		final HashSet<Object> allObjectDeleted = new HashSet<Object>();
 		shouldRestartToolbox = false;
@@ -156,14 +156,14 @@
 				List<Object> deleted = delete(o);
 				allObjectDeleted.addAll(deleted);
 				if (deleted.size() == 0) {
-					StatusLine.setMessage(RCPMessages.DeleteObject_3+" : "+o);
+					StatusLine.setMessage(TXMUIMessages.DeleteObject_3+" : "+o);
 					return new HashSet<Object>();
 				}
 				// remove results already deleted
 				objects.removeAll(deleted);
 			} catch(Exception e) {
-				Log.info(NLS.bind(RCPMessages.DeleteObject_4, o, e)); 
-				StatusLine.error(NLS.bind(RCPMessages.DeleteObject_4, o, e)); 
+				Log.info(NLS.bind(TXMUIMessages.DeleteObject_4, o, e)); 
+				StatusLine.error(NLS.bind(TXMUIMessages.DeleteObject_4, o, e)); 
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 				return new HashSet<Object>();
 			}
@@ -175,8 +175,8 @@
 				org.txm.Toolbox.restartWorkspace();
 				Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 				
-				System.err.println(RCPMessages.AddBase_10);
-				StatusLine.setMessage(RCPMessages.AddBase_10);
+				System.err.println(TXMUIMessages.AddBase_10);
+				StatusLine.setMessage(TXMUIMessages.AddBase_10);
 			}
 			
 			Display.getDefault().syncExec(new Runnable() {
@@ -208,7 +208,7 @@
 	public static List<Object> delete(Object o) {
 		ArrayList<Object> deleted = new ArrayList<Object>();
 		if (o instanceof TxmObject) {
-			Log.info(NLS.bind(RCPMessages.DeleteObject_10, ((TxmObject) o).getName()));
+			Log.info(NLS.bind(TXMUIMessages.DeleteObject_10, ((TxmObject) o).getName()));
 
 			try {
 				if (o instanceof Corpus) {
@@ -221,7 +221,7 @@
 					deleted.addAll(c.getPartitions());
 
 					if (!((TxmObject) o).delete()) {
-						Log.info(RCPMessages.DeleteObject_3);
+						Log.info(TXMUIMessages.DeleteObject_3);
 						return new ArrayList<Object>(0);
 					}
 				} else if (o instanceof Partition) {
@@ -231,7 +231,7 @@
 						i--;
 					}
 					if (!((TxmObject) o).delete()) {
-						Log.info(RCPMessages.DeleteObject_3);
+						Log.info(TXMUIMessages.DeleteObject_3);
 						return new ArrayList<Object>(0);
 					}
 				}
@@ -242,7 +242,7 @@
 		// FIXME: when TXMResult will be implemented, only this code must be left
 		else if (o instanceof TXMResult) {
 			((TXMResult) o).delete();
-			System.out.println(NLS.bind(RCPMessages.DeleteObject_10, ((TXMResult) o).getName()));
+			System.out.println(NLS.bind(TXMUIMessages.DeleteObject_10, ((TXMResult) o).getName()));
 		}
 
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/PasteFile.java	(revision 687)
@@ -39,7 +39,7 @@
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.IOClipboard;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
@@ -80,9 +80,9 @@
 				}
 				try {
 					if (!org.txm.utils.io.FileCopy.copy(source, dest))
-						System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest);
+						System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest);
 				} catch (IOException e) {
-					System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest+RCPMessages.PasteFile_4+e);
+					System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest+TXMUIMessages.PasteFile_4+e);
 				}
 			} else if (CutFile.toCut != null) {
 				File source = CutFile.toCut;
@@ -93,12 +93,12 @@
 				}
 				try {
 					if (!org.txm.utils.io.FileCopy.copy(source, dest))
-						System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest);
+						System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest);
 					if (!source.delete()) 
-						System.out.println(RCPMessages.PasteFile_3+source);
+						System.out.println(TXMUIMessages.PasteFile_3+source);
 					CutFile.toCut = null;
 				} catch (IOException e) {
-					System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest+RCPMessages.PasteFile_4+e);
+					System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest+TXMUIMessages.PasteFile_4+e);
 				}
 			} else {
 				// check clipboard content
@@ -117,11 +117,11 @@
 							org.txm.utils.io.FileCopy.copyFiles(source, dest);
 						} else {
 							if (!org.txm.utils.io.FileCopy.copy(source, dest))
-								System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest);
+								System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest);
 						}
 						
 					} catch (IOException e) {
-						System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest+RCPMessages.PasteFile_4+e);
+						System.out.println(TXMUIMessages.PasteFile_1+source+TXMUIMessages.ApplicationWorkbenchAdvisor_37+dest+TXMUIMessages.PasteFile_4+e);
 					}
 				}
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java	(revision 687)
@@ -42,7 +42,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
@@ -99,7 +99,7 @@
 		LastOpened.set(ID, newfile.getParent(), newfile.getName());
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			if (newfile.mkdir())
-				System.out.println(NLS.bind(RCPMessages.CreateFolder_1, newfile.getAbsolutePath()));
+				System.out.println(NLS.bind(TXMUIMessages.CreateFolder_1, newfile.getAbsolutePath()));
 
 		}
 		Explorer.refresh();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java	(revision 687)
@@ -39,7 +39,7 @@
 import org.eclipse.swt.widgets.MessageBox;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
 import org.txm.utils.DeleteDir;
@@ -72,15 +72,15 @@
 
 		Shell shell = new Shell();
 		MessageBox dialog = new MessageBox(shell, SWT.YES | SWT.NO);
-		dialog.setMessage(RCPMessages.DeleteFile_0+file+" ? ");  //$NON-NLS-1$
+		dialog.setMessage(TXMUIMessages.DeleteFile_0+file+" ? ");  //$NON-NLS-1$
 
 		int buttonID = dialog.open();
 		switch(buttonID) {
 		case SWT.YES:
 			if (file.isFile()) {
-				if (!file.delete()) System.out.println(RCPMessages.DeleteFile_2+file);
+				if (!file.delete()) System.out.println(TXMUIMessages.DeleteFile_2+file);
 			} else if (file.isDirectory()) {
-				if (!DeleteDir.deleteDirectory(file)) System.out.println(RCPMessages.DeleteFile_2+file);
+				if (!DeleteDir.deleteDirectory(file)) System.out.println(TXMUIMessages.DeleteFile_2+file);
 			}
 			Explorer.refresh();
 			MacroExplorer.refresh();
@@ -95,7 +95,7 @@
 	public static void delete(List files) {
 		Shell shell = new Shell();
 		MessageBox dialog = new MessageBox(shell, SWT.YES | SWT.NO);
-		dialog.setMessage(RCPMessages.DeleteFile_0+files+" ? ");  //$NON-NLS-1$
+		dialog.setMessage(TXMUIMessages.DeleteFile_0+files+" ? ");  //$NON-NLS-1$
 		
 		int buttonID = dialog.open();
 		switch(buttonID) {
@@ -105,9 +105,9 @@
 					File file = (File) o;
 					if (file.exists())
 					if (file.isFile()) {
-						if (!file.delete()) System.out.println(RCPMessages.DeleteFile_2+file);
+						if (!file.delete()) System.out.println(TXMUIMessages.DeleteFile_2+file);
 					} else if (file.isDirectory()) {
-						if (!DeleteDir.deleteDirectory(file)) System.out.println(RCPMessages.DeleteFile_2+file);
+						if (!DeleteDir.deleteDirectory(file)) System.out.println(TXMUIMessages.DeleteFile_2+file);
 					}
 				}
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java	(revision 687)
@@ -44,7 +44,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
@@ -108,7 +108,7 @@
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			try {
 				if (newfile.createNewFile()) {
-					System.out.println(NLS.bind(RCPMessages.CreateFile_1, newfile.getAbsolutePath()));
+					System.out.println(NLS.bind(TXMUIMessages.CreateFile_1, newfile.getAbsolutePath()));
 					//OpenFile.openfile(newfile);
 				}
 			} catch (IOException e) {
Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 686)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 687)
@@ -148,6 +148,7 @@
  org.txm.rcp.handlers.scripts,
  org.txm.rcp.jface,
  org.txm.rcp.log,
+ org.txm.rcp.messages,
  org.txm.rcp.p2.plugins,
  org.txm.rcp.perspective,
  org.txm.rcp.preferences,
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 686)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 687)
@@ -20,6 +20,22 @@
 	public static String CQPPreferencePage_17;
 	public static String CQPPreferencePage_18;
 	
+	
+	public static String ComputeDiagnostic_0;
+	public static String ComputeDiagnostic_1;
+
+	public static String DiagnosticPreferencePage_2;
+	public static String DiagnosticPreferencePage_3;
+	public static String Diagnostique_0;
+	public static String Diagnostique_10;
+	public static String Diagnostique_11;
+	public static String Diagnostique_1;
+	public static String Diagnostique_2;
+	public static String Diagnostique_7;
+	public static String Diagnostique_8;
+	public static String Diagnostique_9;
+
+	
 	static {
 		Utf8NLS.initializeMessages(CQPUIMessages.class);
 	}
